//
// example of network communication.

#include <yarp/os/all.h>
#include <iostream>

using namespace std;
using namespace yarp::os;

int main(int argc, char *argv) {
    
    Network::init();
    
    Port port;
    port.open("/writer");
    
    while (true) {
        Bottle b;
        b.clear();
        b.addString("my message");
        b.addDouble(5.0);

        cout << "writing " << b.toString().c_str() << endl;
        port.write(b);

        Time::delay(1.0);
    }

    Network::fini();
    
    return 0;
}
